Motivated by the recent success of realizing the topologically ordered ground state of the exactly solvable toric code model by a quantum circuit on the real quantum device [Satzinger et al., Science 374, 1237 (2021)], here we propose a parametrized quantum circuit (PQC) with the same real-device-performable optimal structure to represent quantum loop gas states with adjustably weighted loop configurations. Combining such a PQC with the variational quantum eigensolver, we obtain the accurate quantum circuit representation for the toric code model in an external magnetic field with any field strength, where the system is not exactly solvable. The topological quantum phase transition in this system is further observed in the optimized circuits by measuring the magnetization and topological entanglement entropy.
Motivated by the recent success of realizing the topologically ordered ground state of the exactly solvable toric code model by a quantum circuit on the real quantum device [Satzinger et al., Science 374, 1237 (2021)], here we propose a parametrized quantum circuit (PQC) with the same real-device-performable optimal structure to represent quantum loop gas states with adjustably weighted loop configurations. Combining such a PQC with the variational quantum eigensolver, we obtain the accurate quantum circuit representation for the toric code model in an external magnetic field with any field strength, where the system is not exactly solvable. The topological quantum phase transition in this system is further observed in the optimized circuits by measuring the magnetization and topological entanglement entropy.
We propose an efficient circuit structure of variational quantum circuit Ans\"atze used for the variational quantum eigensolver (VQE) algorithm in calculating gapped topological phases on the currently feasible noisy intermediate-scale quantum computers. An efficient circuit Ansatz should include two layers: the initialization layer and the variational layer. In the initialization layer, a fixed-depth circuit state with a compatible entanglement structure to the target topological phase is constructed. The circuit state is further adjusted subsequently to capture the details of the local correlations, which is dictated with the Hamiltonian, in the parametrized variational layer. Based on this strategy, we design a circuit Ansatz to investigate the symmetry-protected topological Haldane phase in a nonexactly solvable alternating spin-21 Heisenberg chain by VQE calculations. Main characterizations of the Haldane phase, including the long-ranged string order, the fourfold nearly degenerate ground states associated with four different localized edge-mode patterns for the system with open boundaries, and the twofold degeneracy of the entanglement spectrum, are all observed for the optimized shallow circuit state with only one-depth variational layer both in numerical simulations and on real quantum computers. We further demonstrate that the computational capacity (i.e., expressibility) of this quantum circuit Ansatz is determined not by the system size but only by the intrinsic correlation length of the system, thus implying that the scalable VQE calculation is possible.
Topological quantum phases emerge from correlated quantum many-body systems containing novel features such as nontrivial entanglement structure and mutual statistics. However, the co-emerged exponential computational complexity strongly hampers the research of these systems using classical computers. Present booming quantum computing techniques offer a new way to investigate these challenging systems: the quantum simulation approach. Combining current available noise intermediate-scale quantum (NISQ) devices with variational quantum eigensolver (VQE) algorithm to solve quantum many-body problems has attracted extensive attention. Although the NISQ devices have up to hundreds of qubits, treating a quantum many-body problem with a similar size on these devices is still impossible. One fundamental reason for this is the lack of scalability in current quantum algorithms (i.e., the required quantum resources for realizing a quantum algorithm increase much faster than the increase of the problem size). In this poster, we introduce how to realize scalable VQE calculation in the topological quantum phases by designing problem-specified scalable parameterized quantum circuits (PQC). We construct a PQC with a two-layer structure to capture both the basic entanglement structure of the target topological phase and finite correlations governed by the details of the many-body Hamiltonian. Utilizing such a PQC, we numerically simulate both symmetry-protected topological (SPT) Haldane phase and trivial dimmer phase in the non-exactly solvable alternating Heisenberg chain using the VQE algorithm. Furthermore, we realize these optimized circuits on real quantum computers provided by IBM Quantum and observe the main characterizations of the SPT Haldane phase.
Quantum circuits have been shown to be a fertile ground for realizing long-range entangled phases of matter. While various quantum double models with non-chiral topological order have been theoretically investigated and experimentally implemented, the realization and characterization of chiral topological phases have remained less explored. Here we show that chiral topological phases in spin systems, i.e., chiral spin liquids, can be prepared in quantum circuits using the variational quantum eigensolver (VQE) framework. On top of the VQE ground state, signatures of the chiral topological order are revealed using the recently proposed tangent space excitation ansatz for quantum circuits. We show that, both topological ground state degeneracy and the chiral edge mode can be faithfully captured by this approach. We demonstrate our approach using the Kitaev honeycomb model, finding excellent agreement of low-energy excitation spectrum on quantum circuits with exact solution in all topological sectors. Further applying this approach to a non-exactly solvable chiral spin liquid model on square lattice, the results suggest this approach works well even when the topological sectors are not exactly known.
Quantum circuits have been shown to be a fertile ground for realizing long-range entangled phases of matter. While various quantum double models with non-chiral topological order have been theoretically investigated and experimentally implemented, the realization and characterization of chiral topological phases have remained less explored. Here we show that chiral topological phases in spin systems, i.e., chiral spin liquids, can be prepared in quantum circuits using the variational quantum eigensolver (VQE) framework. On top of the VQE ground state, signatures of the chiral topological order are revealed using the recently proposed tangent space excitation ansatz for quantum circuits. We show that, both topological ground state degeneracy and the chiral edge mode can be faithfully captured by this approach.We demonstrate our approach using the Kitaev honeycomb model, finding excellent agreement of low-energy excitation spectrum on quantum circuits with exact solution in all topological sectors. Further applying this approach to a non-exactly solvable chiral spin liquid model on square lattice, the results suggest this approach works well even when the topological sectors are not exactly known.
Parameterized quantum circuits (PQCs) serve as a flexible framework for implementing various quantum algorithms, particularly in quantum machine learning and optimization tasks. However, their training is challenging due to both theoretical constraints and the inherent limitations in current quantum hardware. A judicious choice of PQC architecture is crucial for accurately representing the solution space, and for ensuring convergence in training. Several works introduced measures of expressibility and entangling capability for PQCs, and compared these metrics across different circuit structures, providing insights into how they impact performance and efficiency. However, these investigations often assumed idealized all-to-all qubit connectivity, which is not applicable to most hardware architectures. In practice, additional transpilation steps are performed prior to execution on hardware. The potential impact of better alignment of the PQC structure with the underlying native topology has in fact motivated introduction of hardware-efficient ansatze. In our work, we extend the methodology of measuring PQC efficiency to include more realistic quantum hardware models. We examine several popular hardware topologies, including hexagonal, square, circular, linear, and all-to-all. We evaluate the expressibility and entangling capability of circuits with different connectivity types and various arrangements of rotation gates. We assess the training performance of these PQC types in the context of a variational compiling procedure and identify the preferred gate patterns. This approach provides a more realistic evaluation of PQC performance, thus offering practical insights into their applications on existing quantum devices.
Variational quantum algorithms have promising applications in noisy intermediate-scale quantum (NISQ) devices. These algorithms rely on a classical optimization outer loop that minimizes a parameterized quantum circuit function. The optimization in variational quantum eigensolver (VQE) is NP-hard, meaning that finding the optimal solution is infeasible in the worst-case scenario. One way to address this challenge is through parallel optimization of parameters using multiple-parameterized quantum circuits. However, this approach is unsuitable for cloud-based quantum processing unit utilization due to the increased number of quantum circuit executions. Although NISQ devices have limitations in terms of gate depth, their size has been growing in recent years. Therefore, implementing multiple-parameterized quantum circuits in NISQ devices can suppress the increase in the number of executions. In this study, we propose a parallel-VQE, which leverages the parallel execution of parameterized quantum circuits to perform parallel parameter optimization in VQE, achieving convergence to solutions closer to the ground state. We validate the effectiveness of parallel-VQE in solving the random weighted max-cut problem using numerical simulations and a real quantum device. We present the results of running up to six circuits in parallel (120 qubits) and demonstrate the advantages of using multiple units to improve computational accuracy. This study provides a potential method for solving eigenvalue problems and combinatorial optimization problems for future quantum devices.